Qyra
ReferenceMy Account

POST/api/v1/user/login-email-otp/verify

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Request body

{
  "passcode": "string",
  "email": "string"
}

Responses

200 — Ok

{
  "results": {
    "userUuid": "string",
    "firstName": "string",
    "lastName": "string",
    "organizationUuid": "string",
    "organizationName": "string",
    "organizationCreatedAt": "2024-01-01T00:00:00.000Z",
    "userId": 0,
    "role": "member",
    "roleUuid": "string",
    "isTrackingAnonymized": true,
    "isMarketingOptedIn": true,
    "isSetupComplete": true,
    "email": "string",
    "isActive": true,
    "createdAt": "2024-01-01T00:00:00.000Z",
    "updatedAt": "2024-01-01T00:00:00.000Z",
    "timezone": "string",
    "avatarUrl": "string",
    "avatarGradient": {},
    "isPending": true
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}